<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
	  xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	  xmlns:am="http://typo3.org/ns/CodingMs/AddressManager/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<f:layout name="Default" />
<f:section name="Bootstrap">

	<div class="address-list-messages">
		<f:flashMessages />
	</div>

	<f:render partial="Address/List/Filter" section="{settings.framework}" arguments="{_all}" />
	<div class="address-list-wrapper"
		 data-address-list-count="{addressCount}"
		 data-address-list-limit="{settings.list.limit}"
		 data-address-list-offset="{settings.list.offset}"
		 data-location-submit-on-enter="{settings.list.location.submitOnEnter}"
		 data-search-word-submit-on-enter="{settings.list.searchWord.submitOnEnter}">
		<f:if condition="{f:count(subject: addressItems)}">

			<f:if condition="{settings.useMapOverview}">
				<f:render partial="Address/GoogleMapsConsent" section="{settings.framework}" arguments="{_all}" />
				<div id="map-wrapper">
					<div id="address-list-map"
						 class="panel panel-default"
						 data-country-restriction="{settings.list.map.countryRestriction}"
						 data-max-zoom="{settings.list.map.maxZoom}"
						 data-style="{settings.list.map.style}"
						 data-marker-width="{settings.list.map.marker.width}"
						 data-marker-height="{settings.list.map.marker.height}"
						 data-clustering-active="{settings.list.map.clustering.active}"
						 data-clustering-image-path="{f:uri.resource(path: '{settings.list.map.clustering.imagePath}')}"
						 data-default-latitude="{settings.list.map.default.latitude}"
						 data-default-longitude="{settings.list.map.default.longitude}">
						<div id="address-list-map-canvas"></div>
					</div>
				</divi>
			</f:if>

			<f:if condition="{settings.showPagination}">
				<div class="address-list-pagination-template" style="display:none">
					<nav aria-label="Page navigation">
						<ul class="pagination">
							<li>
								<a href="#" aria-label="Previous">
									<span aria-hidden="true">&laquo;</span>
								</a>
							</li>
							<li><a href="#">1</a></li>
							<li><a href="#">2</a></li>
							<li><a href="#">3</a></li>
							<li><a href="#">4</a></li>
							<li><a href="#">5</a></li>
							<li>
								<a href="#" aria-label="Next">
									<span aria-hidden="true">&raquo;</span>
								</a>
							</li>
						</ul>
					</nav>
				</div>
				<div class="address-list-pagination">
					<div class="address-list-pagination">
						<!-- JavaScript generated pagination -->
						<nav aria-label="Address navigation">
							<ul class="pagination">
								<li class="page-item previous">
									<a class="page-link" href="#" aria-label="Previous page" title="Previous page">
										<span aria-hidden="true">&laquo;</span>
										<span class="sr-only">Previous</span>
									</a>
								</li>
								<li class="page-item template" style="display:none"><a class="page-link" href="#"></a></li>
								<li class="page-item next">
									<a class="page-link" href="#" aria-label="Next page" title="Next page">
										<span aria-hidden="true">&raquo;</span>
										<span class="sr-only">Next</span>
									</a>
								</li>
							</ul>
						</nav>
					</div>
				</div>
			</f:if>

			<f:if condition="{settings.showResultImmediately}">
				<f:then>
					<ul class="address-list clearfix">
						<f:for each="{addressItems}" as="address" iteration="itemIteration">
							<li class="{f:if(condition: itemIteration.isFirst, then: 'first')} {f:if(condition: itemIteration.isLast, then: 'last')} address-uid-{address.uid}"
								id="address-{address.uid}">
								<f:render partial="Address/List/Item/{settings.framework}"
										  arguments="{address: address, itemIteration: itemIteration}" />
							</li>
						</f:for>
					</ul>
				</f:then>
				<f:else>
					<ul class="address-list clearfix">
					</ul>
				</f:else>
			</f:if>
			<div class="address-list-loading hidden" data-hidden-class="hidden" id="address-list-loading">
				<span><i class="fa fa-refresh fa-spin"></i></span>
			</div>

		</f:if>

		<f:if condition="{settings.displayType} === 'MapOnly'">
			<div class="alert alert-danger">
				Display type MapOnly not implemented in Bootstrap 3 templates!
			</div>
		</f:if>

		<f:if condition="{settings.displayType} === 'FilterOnly'">
			<div class="alert alert-danger">
				Display type FilterOnly not implemented in Bootstrap 3 templates!
			</div>
		</f:if>

	</div>
</f:section>
<f:section name="Bootstrap4">

	<div class="address-list-messages">
		<f:flashMessages />
	</div>

	<f:if condition="{settings.displayType} === 'Default'">
		<f:render partial="Address/List/Filter" section="{settings.framework}" arguments="{_all}" />
		<div class="address-list-wrapper"
			 data-address-list-count="{addressCount}"
			 data-address-list-limit="{settings.list.limit}"
			 data-address-list-offset="{settings.list.offset}">
			<f:if condition="{f:count(subject: addressItems)}">


				<f:if condition="{settings.useMapOverview}">
					<f:render partial="Address/GoogleMapsConsent" section="{settings.framework}" arguments="{_all}" />
					<div id="map-wrapper">
						<div id="address-list-map"
							 class="card"
							 data-country-restriction="{settings.list.map.countryRestriction}"
							 data-max-zoom="{settings.list.map.maxZoom}"
							 data-style="{settings.list.map.style}"
							 data-marker-width="{settings.list.map.marker.width}"
							 data-marker-height="{settings.list.map.marker.height}"
							 data-clustering-active="{settings.list.map.clustering.active}"
							 data-clustering-image-path="{f:uri.resource(path: '{settings.list.map.clustering.imagePath}')}"
							 data-default-latitude="{settings.list.map.default.latitude}"
							 data-default-longitude="{settings.list.map.default.longitude}">
							<div id="address-list-map-canvas"></div>
						</div>
					</div>
				</f:if>

				<f:if condition="{settings.showPagination}">
					<div class="address-list-pagination">
						<!-- JavaScript generated pagination -->
						<nav aria-label="Address navigation">
							<ul class="pagination">
								<li class="page-item previous">
									<a class="page-link" href="#" aria-label="Previous page" title="Previous page">
										<span aria-hidden="true">&laquo;</span>
										<span class="sr-only">Previous</span>
									</a>
								</li>
								<li class="page-item template" style="display:none"><a class="page-link" href="#"></a></li>
								<li class="page-item next">
									<a class="page-link" href="#" aria-label="Next page" title="Next page">
										<span aria-hidden="true">&raquo;</span>
										<span class="sr-only">Next</span>
									</a>
								</li>
							</ul>
						</nav>
					</div>
				</f:if>

				<f:if condition="{settings.showResultImmediately}">
					<f:then>
						<div class="address-list row">
							<f:for each="{addressItems}" as="address" iteration="itemIteration">
								<div class="{f:if(condition: itemIteration.isFirst, then: 'first')} {f:if(condition: itemIteration.isLast, then: 'last')} address-uid-{address.uid} col-md-3"
									 id="address-{address.uid}">
									<f:render partial="Address/List/Item/{settings.framework}"
											  arguments="{address: address, itemIteration: itemIteration}" />
								</div>
							</f:for>
						</div>
					</f:then>
					<f:else>
						<ul class="address-list clearfix">
						</ul>
					</f:else>
				</f:if>
				<div class="address-list-loading d-none" data-hidden-class="d-none" id="address-list-loading">
					<span><i class="fa fa-refresh fa-spin"></i></span>
				</div>

			</f:if>
		</div>
	</f:if>

	<f:if condition="{settings.displayType} === 'MapOnly'">

		<div class="address-map-only">
			<f:if condition="{f:count(subject: addressItems)}">
				<f:render partial="Address/GoogleMapsConsent" section="{settings.framework}" arguments="{_all}" />
				<div id="map-wrapper">
					<div id="address-list-map"
						 class="card"
						 data-country-restriction="{settings.list.map.countryRestriction}"
						 data-max-zoom="{settings.list.map.maxZoom}"
						 data-style="{settings.list.map.style}"
						 data-marker-width="{settings.list.map.marker.width}"
						 data-marker-height="{settings.list.map.marker.height}"
						 data-clustering-active="{settings.list.map.clustering.active}"
						 data-clustering-image-path="{f:uri.resource(path: '{settings.list.map.clustering.imagePath}')}"
						 data-default-latitude="{settings.list.map.default.latitude}"
						 data-default-longitude="{settings.list.map.default.longitude}">
						<div id="address-list-map-canvas"></div>
					</div>
				</div>
				<div class="address-list row" style="display: none">
					<f:for each="{addressItems}" as="address" iteration="itemIteration">
						<div class="{f:if(condition: itemIteration.isFirst, then: 'first')} {f:if(condition: itemIteration.isLast, then: 'last')} address-uid-{address.uid} col-md-3" id="address-{address.uid}">
							<f:render partial="Address/List/Item/{settings.framework}" arguments="{address: address, itemIteration: itemIteration}" />
						</div>
					</f:for>
				</div>
			</f:if>
		</div>

	</f:if>

	<f:if condition="{settings.displayType} === 'FilterOnly'">

		<div class="address-filter-only">
			<f:render partial="Address/List/Filter" section="{settings.framework}" arguments="{_all}" />
		</div>

	</f:if>

</f:section>
</html>
